#!/bin/bash

RELEASE_TAG="R3_3_1"
DOT_TAG="3.3.1"
SRC_DIR="eclipse-wtp-sourceediting-${DOT_TAG}"

MODULES="sourceediting
org.eclipse.jsdt
jeetools
servertools"

DIRS="features
plugins
docs"

# Cleanup
rm -rf ${SRC_DIR}

for dir in $DIRS
do
	mkdir -p ${SRC_DIR}/${dir}
done

for module in $MODULES
do
	# Cleanup
	rm -rf ${module}

	# CVS Export
	cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${RELEASE_TAG} ${module}

	# Get only the WST parts
	for dir in $DIRS
	do
		mv ${module}/${dir}/org.eclipse.wst.* ${SRC_DIR}/${dir}/
	done

	rm -rf ${module}
done

# Fix documentation permissions
chmod 644 `find | grep -e "\.html$"`
chmod 644 `find | grep -e "\.xml$"`

# Create the Tarball
rm ${SRC_DIR}-fetched-src.tar.bz2
tar cjf ${SRC_DIR}-fetched-src.tar.bz2 ${SRC_DIR}

# Cleanup sources
rm -rf ${SRC_DIR}

exit 0
